Source: golang-github-davidmytton-url-verifier
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-asaskevich-govalidator-dev,
 golang-github-stretchr-testify-dev <!nocheck>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-davidmytton-url-verifier
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-davidmytton-url-verifier.git
Homepage: https://github.com/davidmytton/url-verifier
XS-Go-Import-Path: github.com/davidmytton/url-verifier

Package: golang-github-davidmytton-url-verifier-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-asaskevich-govalidator-dev,
 ${misc:Depends},
Description: Go library for URL validation and verification (library)
 url-verifier is a Go library for URL validation and verification: does this URL
 actually work?
 .
 Features:
   - URL Validation: validates whether a string is a valid URL.
   - Different Validation Types: validates whether the URL is valid according
     to a "human" definition of a correct URL, strict compliance with RFC3986
     (Uniform Resource Identifier (URI): Generic Syntax), and/or compliance with
     RFC3986 with the addition of a schema e.g. HTTPS.
   - Reachability: verifies whether the URL is actually reachable via an HTTP
     GET request and provides the status code returned.
